From bc7e702f26a7f1e9ff22cd9c3cd3f6c12dc72bdf Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Sun, 14 Mar 2021 15:40:41 +0000
Subject: [PATCH] gnu: python-numpy: Update to 1.20.1.

* gnu/packages/python-xyz.scm (python-numpy): Update to 1.20.1.
[native-inputs]: Add python-hypothesis.
---
 gnu/packages/python-xyz.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index dadf08f03d..f4e742b4fe 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -99,6 +99,7 @@
 ;;; Copyright © 2021 Sharlatan Hellseher <sharlatanus@gmail.com>
 ;;; Copyright © 2021 Ellis Kenyő <me@elken.dev>
 ;;; Copyright © 2021 LibreMiami <packaging-guix@libremiami.org>
+;;; Copyright © 2021 Greg Hogan <code@greghogan.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4542,7 +4543,7 @@ between language specification and implementation aspects.")
 (define-public python-numpy
   (package
     (name "python-numpy")
-    (version "1.17.3")
+    (version "1.20.1")
     (source
      (origin
        (method url-fetch)
@@ -4551,13 +4552,14 @@ between language specification and implementation aspects.")
              version "/numpy-" version ".tar.gz"))
        (sha256
         (base32
-         "1ak9dmjja0q90a7fsxli51ypcwssh8c4pb6f8wkrsnf2xgdk6dy9"))))
+         "0vc4fr3429a1rrzfxbd05lifrh72bwcc5vavwlwr5jmlxdlivxcv"))))
     (build-system python-build-system)
     (inputs
      `(("openblas" ,openblas)
        ("lapack" ,lapack)))
     (native-inputs
      `(("python-cython" ,python-cython)
+       ("python-hypothesis" ,python-hypothesis)
        ("python-pytest" ,python-pytest)
        ("gfortran" ,gfortran)))
     (arguments
-- 
2.30.2

